## gridengine 8.1.8+dfsg

=== debian/changelog ===
gridengine (8.1.8+dfsg-5) unstable; urgency=medium

  * libdrmaa-ruby: correct dependency on gridengine-drmaa
  * Allow parallel building

 -- Afif Elghraoui <afif@debian.org>  Sat, 09 Apr 2016 20:38:45 -0700

gridengine (8.1.8+dfsg-4) unstable; urgency=medium

  * Use maintainer scripts to start/stop daemons during upgrades.
  * Use arch: any for arch-dependent packages (Closes: #694040, #735017).
  * Add a symlink to versioned libdrmaa so file (Closes: #820083).
  * Set rpath to /usr/lib/gridengine during build.

 -- Afif Elghraoui <afif@debian.org>  Sat, 09 Apr 2016 18:03:30 -0700

gridengine (8.1.8+dfsg-3) unstable; urgency=medium

  * Declare Breaks/Replaces relationships in gridengine-{common,client}
    (Closes: #818844)

 -- Afif Elghraoui <afif@debian.org>  Sun, 20 Mar 2016 19:38:41 -0700

gridengine (8.1.8+dfsg-2) unstable; urgency=medium

  * Fix build for --no-arch-all
  * Use cgit rather than gitweb for Vcs-Browser
  * List dependencies one per line for better visualization of diffs

 -- Afif Elghraoui <afif@debian.org>  Sun, 20 Mar 2016 11:45:51 -0700

gridengine (8.1.8+dfsg-1) experimental; urgency=medium

  [ Dave Love ]
  * New upstream release (supports arm64, ppc64el) (Closes: #693722)
  * Fix cqueue_summary_xml_handler_init (Closes: #749413)
  * Add libmotif-dev, libxft-dev to Build-Depends to fix possible FTBFS
  * Add conffiles for common
  * Require libxft-dev
  * Move libspool* to client and have exec package depend on it
  * Remove jemalloc patch
  * Fix clean rule
  * Define DEFAULT_EDITOR, use -with-jemalloc in rules
  * Fix armhf detection
  * New upstream release (Closes: #715958)
  * Link with jemalloc.
  * Depend on procps (for /bin/ps, called in some places)
  * Install logcheck config and PAM modules
  * Build-depend on motif-dev, not lesstif2-dev (Closes: #714661, #707937).
  * Don't build-depend on ant, quilt.  Depend on awk in gridengine-common.
  * Fix description for libdrmaa1.0-java-doc, gridengine-drmaa-dev
  * Pick up `-j' from xxx-buildpackage.
  * New upstream release
    - Add architectures s390x, armel, armhf, mips, mipsel.
    - Don't install un-maintained Changelog.
    - Drop most patches, just patching aimk.private.  Part of the 6.2u5-7.1
      one was bogus -- not replicated (Closes: #678618).
    - New package libdrmaa1.0-ruby.
    - Closes: #543649, #599985, #698286, #693722.
    - Remove scripts/cleanup_sgetarball.sh, qlogin.wrapper.
    - Use system jemalloc.
  * Rename package libdrmaa-java to libdrmaa1.0-java (DRMMA2 on the horizon)
    and add package libdrmaa1.0-java-doc.
  * Various build changes
    - Simplify rules by using dh with overrides.
    - Update compat and standards level.
    - Generalize csh dependencies.
    - libdrmaa-java depends on gridengine-drmaa-dev.
    - Move non-drmaa jar files to common/client package.
    - Remove unnecessary X library dependencies.
  * Add various docs, including javadocs.
  * Ship util directory (LP: #901308).
  * Ship installation scripts, link to /var/lib/gridengine, and stop
    installation complaining about missing binaries (Closes: #598510).
  * Various build changes, e.g. with debugging, use mandb, not man page
    links.
  * Modify configuration file
    - set uidmin/gidmin to 1000 for security
      <http://arc.liv.ac.uk/SGE/howto/sge-security.html>
    - add jsv params
    - use builtin remote startup to provide proper integration
  * Put all of utilbin into clients package; link /var/lib/gridengine/bin
    from /usr/lib/gridengine, not /usr/bin; add links for other
    architectures; link to /var/lib/gridengine/lib too.
  * Depend on openssl and db-util; link db utils.
  * Generate settings.{sh,csh}.
  * Enable build hardening.
  * Add lintian-overrides.
  * Ship jgdi, qmake (as qmake_sge), qtcsh (fixes LP: #904376).
  * Conflict with torque.
  * Add qmon menu entry, watch file.
  * Drop dependence on fonts to satisfy lintian -- regresses #609914.
  * Update linux32-wrapper (Closes: #694040).
  * Avoid dependence on libXpm.
  * Change openssh to suggests from recommends.
  * Use debhelper >=9, per packaging guide.

  [ Afif Elghraoui ]
  * Use libdb metapackage in build-depends (Closes: #734702)
  * Revamp debian/copyright
  * Use canonical VCS URLs
  * Set version in d/NEWS to match version in changelog
  * Set gridengine-exec to depend on same version of gridengine-client
  * Use dpkg-dev to import build flags
  * Remove dependency on obsolete hardening-wrapper
  * Always generate autotools helper files
  * Move javadoc from gridengine-client into gridengine-common
  * Add myself to uploaders
  * Add Suggests for interpreters required for optional scripts
  * Remove unused lintian overrides
  * Add Brazilian Portuguese po template.
    Thanks to Adriano Rafael Gomes (Closes: #811509)
  * Use MIT license for debian/*
  * Bump Standards-Version to latest version: 3.9.7
  * Use encrypted protocols for Vcs URLs
  * Register the upstream changelog with debhelper
  * Support ppc64el architecture.
    Thanks to Frederic Bonnard (Closes: #815754)

 -- Afif Elghraoui <afif@debian.org>  Sat, 12 Mar 2016 20:15:22 -0800

gridengine (6.2u5-7.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix code injection and buffer overflow (CVE-2012-0523).

 -- Luk Claes <luk@debian.org>  Sat, 23 Jun 2012 09:24:47 +0200

gridengine (6.2u5-7) unstable; urgency=low

  * gridengine-common: Add Replaces gridengine-client << 6.2u5-2 to avoid
    issues with qlogin-wrapper.  Closes: #657413.

 -- Mark Hymers <mhy@debian.org>  Sun, 13 May 2012 17:21:27 +0100

gridengine (6.2u5-6) unstable; urgency=high

  * Fix remote root exploit due to trusted user environment (CVE-2012-0208)
    (same patch as 6.2u5-1squeeze1)

 -- Mark Hymers <mhy@debian.org>  Tue, 07 Feb 2012 09:55:05 +0000

gridengine (6.2u5-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * remove alternatives after purge. Closes: #671338
  * use (<< 6.2u5-5) for Brakes & Replaces fields Closes: #671298



=== debian/control ===
Source: gridengine
Section: utils
Priority: optional
Maintainer: Debian Grid Engine Maintainers <pkg-gridengine-devel@lists.alioth.debian.org>
Uploaders: Dave Love <d.love@liverpool.ac.uk>,
	   Afif Elghraoui <afif@debian.org>,
           Laszlo Kajan <lkajan@debian.org>,
           Mark Hymers <mhy@debian.org>,
           Michael Banck <mbanck@debian.org>
Build-Depends:
	debhelper (>= 9),
	dh-autoreconf,
	autotools-dev,
	tcsh | c-shell,
	libdb-dev,
	libssl-dev,
	libncurses5-dev,
	libpam0g-dev,
	libxt-dev,
	libmotif-dev,
	libxpm-dev,
	libxmu-dev,
	po-debconf,
	default-jdk,
	ant,
	ant-optional,
	junit,
	javacc,
	libhwloc-dev,
	libjemalloc-dev,
	libxft-dev,
Standards-Version: 3.9.7
Homepage: https://arc.liv.ac.uk/trac/SGE/
Vcs-Git: https://anonscm.debian.org/git/pkg-gridengine/pkg-gridengine.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gridengine/pkg-gridengine.git

Package: gridengine-common
Architecture: all
Depends:
	${misc:Depends},
	adduser,
	bsd-mailx | mailx,
	ucf,
	tcsh | c-shell,
Suggests:
	python,
	tclsh,
Breaks:
	libdrmaa-dev,
	gridengine-drmaa-dev (<< 6.2u5-8),
Replaces:
	gridengine-client (<< 6.2u5-2),
	gridengine-drmaa-dev (<< 6.2u5-8),
	libdrmaa-dev
Description: Distributed resource management - common files
 Grid Engine is software that facilitates "distributed resource
 management" (DRM).  Far more than just simple load-balancing tools or
 batch scheduling mechanisms, DRM software typically provides the
 following key features across large sets of distributed resources:
 .
   * Policy based allocation of distributed resources (CPU time,
     software licenses, etc.)
   * Batch queuing & scheduling
   * Support diverse server hardware, OS and architectures
   * Load balancing & remote job execution
   * Detailed job accounting statistics
   * Fine-grained user specifiable resources
   * Suspend/resume/migrate jobs
   * Tools for reporting Job/Host/Cluster status
   * Job Arrays
   * Integration & control of parallel jobs
 .
 This package contains required shared files and the basic configuration.

Package: gridengine-client
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	gridengine-common (= ${source:Version}),
	openssl,
Suggests:
	ssh-client,
	gridengine-qmon,
Conflicts: torque-client
Breaks:
	libdrmaa-java,
	gridengine-master (<< 6.2u5-8),
	gridengine-exec (<< 6.2u5-8),
Replaces:
	libdrmaa-java,
	gridengine-master (<< 6.2u5-8),
	gridengine-exec (<< 6.2u5-8),
Description: Utilities for Grid Engine queue management
 Grid Engine is software that facilitates "distributed resource
 management" (DRM).  Far more than just simple load-balancing tools or
 batch scheduling mechanisms, DRM software typically provides the
 following key features across large sets of distributed resources:
 .
   * Policy based allocation of distributed resources (CPU time,
     software licenses, etc.)
   * Batch queuing & scheduling
   * Support diverse server hardware, OS and architectures
   * Load balancing & remote job execution
   * Detailed job accounting statistics
   * Fine-grained user specifiable resources
   * Suspend/resume/migrate jobs
   * Tools for reporting Job/Host/Cluster status
   * Job Arrays
   * Integration & control of parallel jobs
 .
 This package contains the Grid Engine user utilities.

Package: gridengine-qmon
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	gridengine-common (= ${source:Version}),
Recommends: xfonts-75dpi | xfonts-100dpi
Description: Graphical utilities for Grid Engine queue management
 Grid Engine is software that facilitates "distributed resource
 management" (DRM).  Far more than just simple load-balancing tools or
 batch scheduling mechanisms, DRM software typically provides the
 following key features across large sets of distributed resources:
 .
   * Policy based allocation of distributed resources (CPU time,
     software licenses, etc.)
   * Batch queuing & scheduling
   * Support diverse server hardware, OS and architectures
   * Load balancing & remote job execution
   * Detailed job accounting statistics
   * Fine-grained user specifiable resources
   * Suspend/resume/migrate jobs
   * Tools for reporting Job/Host/Cluster status
   * Job Arrays
   * Integration & control of parallel jobs
 .
 This package contains the graphical Grid Engine administration frontend.

Package: gridengine-master
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	gridengine-client (= ${binary:Version}),
	procps,
Recommends: db-util
Description: Distributed resource management - Master Server
 Grid Engine is software that facilitates "distributed resource
 management" (DRM).  Far more than just simple load-balancing tools or
 batch scheduling mechanisms, DRM software typically provides the
 following key features across large sets of distributed resources:
 .
   * Policy based allocation of distributed resources (CPU time,
     software licenses, etc.)
   * Batch queuing & scheduling
   * Support diverse server hardware, OS and architectures
   * Load balancing & remote job execution
   * Detailed job accounting statistics
   * Fine-grained user specifiable resources
   * Suspend/resume/migrate jobs
   * Tools for reporting Job/Host/Cluster status
   * Job Arrays
   * Integration & control of parallel jobs
 .
 This package contains the Grid Engine master server.

Package: gridengine-exec
Architecture: any
Replaces: gridengine-master (<< 6.2-3)
Depends:
	${shlibs:Depends},
	${misc:Depends},
	gridengine-common (= ${source:Version}),
	gridengine-client (= ${binary:Version}),
	tcsh | c-shell,
	procps,
Suggests: openssh-server
Description: Distributed resource management - Execution Server
 Grid Engine is software that facilitates "distributed resource
 management" (DRM).  Far more than just simple load-balancing tools or
 batch scheduling mechanisms, DRM software typically provides the
 following key features across large sets of distributed resources:
 .
   * Policy based allocation of distributed resources (CPU time,
     software licenses, etc.)
   * Batch queuing & scheduling
   * Support diverse server hardware, OS and architectures
   * Load balancing & remote job execution
   * Detailed job accounting statistics
   * Fine-grained user specifiable resources
   * Suspend/resume/migrate jobs
   * Tools for reporting Job/Host/Cluster status
   * Job Arrays
   * Integration & control of parallel jobs
 .
 This package contains the Grid Engine execution server.

Package: gridengine-drmaa1.0
Architecture: any
Section: libs
Breaks: libdrmaa1.0 (<< 6.2u5-4)
Replaces: libdrmaa1.0 (<< 6.2u5-4)
Depends:
	${shlibs:Depends},
	${misc:Depends},
Description: Distributed resource management Application API library
 DRMAA (Distributed Resource Management Application API) is a specification
 developed by a working group in the Global Grid Forum (GGF).  The intention
 is to provide an API specification for the submission and control of jobs
 to one or more Distributed Resource Management (DRM) systems.
 .
 This package contains the library which provides the Grid Engine
 implementation of the DRMAA specification.

Package: libdrmaa1.0-java
Architecture: all
Section: java
Replaces: libdrmaa-java (<< 8.1.3)
Depends:
	${misc:Depends},
	gridengine-drmaa1.0 (>= ${source:Version}),
Suggests: libdrmaa1.0-java-doc
Description: Distributed resource management Application API library - Java bindings
 DRMAA (Distributed Resource Management Application API) is a specification
 developed by a working group in the Global Grid Forum (GGF).  The intention
 is to provide an API specification for the submission and control of jobs
 to one or more Distributed Resource Management (DRM) systems.
 .
 This package contains the Java bindings for the Grid Engine implementation of
 the DRMAA specification.

Package: libdrmaa1.0-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Distributed resource management Application API library - Java bindings docs
 DRMAA (Distributed Resource Management Application API) is a specification
 developed by a working group in the Global Grid Forum (GGF).  The intention
 is to provide an API specification for the submission and control of jobs
 to one or more Distributed Resource Management (DRM) systems.
 .
 This package contains Javadocs for the Grid Engine Java binding.

Package: gridengine-drmaa-dev
Architecture: any
Section: libdevel
Breaks: libdrmaa-dev (<< 6.2u5-5)
Replaces: libdrmaa-dev (<< 6.2u5-5)
Depends:
	${misc:Depends},
	gridengine-drmaa1.0 (= ${binary:Version}),
Description: Distributed resource management Application API library - development files
 DRMAA (Distributed Resource Management Application API) is a specification
 developed by a working group in the Global Grid Forum (GGF).  The intention
 is to provide an API specification for the submission and control of jobs
 to one or more Distributed Resource Management (DRM) systems.
 .
 This package contains the development files for the library which provides
 the Grid Engine implementation of the DRMAA specification.

Package: libdrmaa1.0-ruby
Architecture: all
Section: ruby
Depends:
	${misc:Depends},
	gridengine-drmaa1.0 (>= ${source:Version}),
	ruby | ruby-interpreter,
Description: Distributed resource management Application API library - Ruby bindings
 DRMAA (Distributed Resource Management Application API) is a specification
 developed by a working group in the Global Grid Forum (GGF).  The intention
 is to provide an API specification for the submission and control of jobs
 to one or more Distributed Resource Management (DRM) systems.
 .
 This package contains the Ruby bindings for the Grid Engine implementation of
 the DRMAA specification.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
NOOPT = -no-opt
endif
# Pick up `-j' from xxx-buildpackage:
ifneq (,$(DEB_BUILD_OPTIONS))
PARALLEL = -parallel $(shell echo $(DEB_BUILD_OPTIONS) | sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
endif
ifneq (,$(DEB_PARALLEL_JOBS))
PARALLEL = -parallel $(DEB_PARALLEL_JOBS)
endif

PRECMD=$(CURDIR)/debian/linux32-wrapper

export DEB_BUILD_HARDENING=1
# for qmon, sigh
export DEB_BUILD_HARDENING_FORMAT=0

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export LD_RUN_PATH=/usr/lib/gridengine

%:
	dh $@ --parallel --with autoreconf,autotools-dev

override_dh_auto_build: build-stamp
build-stamp: $(QUILT_STAMPFN)
# The SGE_INPUT_*FLAGS inherited via dpkg-build are probably redundant
# with the hardening wrapper.
	cd source && \
	  ${PRECMD} sh scripts/bootstrap.sh && \
	  ${PRECMD} env SGE_INPUT_CFLAGS="$$CFLAGS $$CPPFLAGS" SGE_INPUT_LDFLAGS="$$LDFLAGS" \
	    ./aimk -with-jemalloc -DDEFAULT_EDITOR='\"sensible-editor\"' -no-remote -debug \
	      -DSGE_LD_PATH='\"/usr/lib/gridengine/\"' -DDEFAULT_EDITOR='\"sensible-editor\"' $(NOOPT) $(PARALLEL) && \
	  ${PRECMD} ./aimk -man && \
	  ${PRECMD} ant drmaa.javadoc juti.javadoc jgdi.javadoc jjsv.javadoc
	touch build-stamp

override_dh_clean:
# If just copying Debian debian over SGE distribution tarball
	cd debian && rm -rf sge.* sge-* README
	dh_clean

override_dh_auto_clean:
	rm -f build-stamp
# aimk clean doesn't DTRT
	cd source && rm -rf CLASSES JAVADOCS MANSBUILD_* dist/qmon/Qmon
	find source -type d -name "LINUX*" -print0 | xargs --null rm -rf
	find source -type d -name "build" -print0 | xargs --null rm -rf
	find source -name "*_dependencies" -print0 | xargs --null rm -f
	for t in common exec master client qmon; do \
	  cp debian/gridengine.templates debian/gridengine-$$t.templates; done
	debconf-updatepo
	rm -f debian/qmon.desktop

override_dh_auto_install:
	install -d debian/tmp/usr
	install -d debian/tmp/usr/share
	install -d debian/tmp/lib/$(DEB_HOST_GNU_TYPE)/security
	cd source && /usr/bin/yes | \
	  ${PRECMD} scripts/distinst -basedir ${CURDIR}/debian -vdir tmp/usr -allall -noexit
	cd debian/tmp/usr && \
	  mv man share && \
	  rm -rf hadoop dtrace ckpt util/sgeSMF start_gui_installer && \
	  rm -f util/resources/loadsensors/interix-loadsensor.sh && \
	  rm -f doc/arc_depend* doc/javadocs/index.html && \
	  rm -rf util/gui-installer && \
	  mv util/resources/drmaa4ruby .
# qmake clashes with qt
	cd debian/tmp/usr/bin/lx-* && mv qmake qmake_sge
# Rename some of the spool utils so we can replace them with wrapper scripts
# which set LD_LIBRARY_PATH for the spool libraries
	cd debian/tmp/usr/utilbin/lx* && \
	  mv spooledit spooledit.bin && mv spooldefaults spooldefaults.bin && \
	  install -m 755 $(CURDIR)/debian/spool.wrapper spooledit && \
	  install -m 755 $(CURDIR)/debian/spool.wrapper spooldefaults && \
	  mv $(CURDIR)/debian/tmp/usr/examples/jobsbin/lx*/work .
# Make manpage names sane
	cd debian/tmp/usr/share/man && \
	for k in hostnameutils submit; do \
	  mv man1/$$k.1 man1/sge_$$k.1; done && \
	mv man1/qmake.1 man1/qmake_sge.1 && \
	for k in access_list accounting bootstrap calendar_conf checkpoint \
	    complex host_aliases host_conf hostgroup project qtask queue_conf \
	    reporting sched_conf share_tree user; do \
	  mv man5/$$k.5 man5/sge_$$k.5;	done
# Remove manpage symlinks in favour of mandb
	find debian/tmp/usr/share/man -type l | xargs rm -f
	mandb -u -c debian/tmp/usr/share/man
	chmod 755 debian/scripts/init_cluster debian/gridengine-wrapper
	cp debian/bootstrap debian/tmp/default-bootstrap
	cp debian/configuration debian/tmp/default-configuration
	cp source/clients/qmon/qmon.desktop debian
	mv debian/tmp/usr/lib/*/pam_sge* debian/tmp/lib/$(DEB_HOST_GNU_TYPE)/security

override_dh_installinit:
	dh_installinit -p gridengine-master
# Start the execd after the master
	dh_installinit -p gridengine-exec -- defaults 21

override_dh_fixperms:
	dh_fixperms
# not sure why this gets made executable, causing lintian whinges
	if [ -d debian/gridengine-common ]; then \
		chmod -x \
		 debian/gridengine-common/usr/share/gridengine/util/dl.sh \
		 debian/gridengine-common/usr/share/gridengine/util/resources/scripts/README*; \
	fi

override_dh_installchangelogs:
	dh_installchangelogs --keep NEWS

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//" \
http://arc.liv.ac.uk/downloads/SGE/releases/([0-9.]+)/sge-([0-9.]+)\.tar.gz

## gridengine 8.1.9%2Bdfsg

=== source/clients/qstat/Makefile ===
###############################################################################
# Variable definitions for targets to build
###############################################################################
#___INFO__MARK_BEGIN__
##########################################################################
#
#  The Contents of this file are made available subject to the terms of
#  the Sun Industry Standards Source License Version 1.2
#
#  Sun Microsystems Inc., March, 2001
#
#
#  Sun Industry Standards Source License Version 1.2
#  =================================================
#  The contents of this file are subject to the Sun Industry Standards
#  Source License Version 1.2 (the "License"); You may not use this file
#  except in compliance with the License. You may obtain a copy of the
#  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
#
#  Software provided under this License is provided on an "AS IS" basis,
#  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
#  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
#  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
#  See the License for the specific provisions governing your rights and
#  obligations concerning the Software.
#
#  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
#
#  Copyright: 2001 by Sun Microsystems, Inc.
#
#  All Rights Reserved.
#
##########################################################################
#___INFO__MARK_END__
QSTAT_DIR = $(SDIR)/clients/qstat

QSTAT_TARGETS = qstat

QSTAT_SRC = qstat.c

QSTAT_ADD_SRC = \
               parse_job_cull.c \
               parse_qsub.c \
               read_defaults.c \
               qstat_printing.c \
               sge_cqueue_qstat.c \
               show_job.c \
               sig_handlers.c \
               usage.c sge_options.c \
               sge_mt_init.c \
               qstat_cmdline.c \
               qstat_xml.c \
               sge_qstat.c

QSTAT_OBJS = $(QSTAT_SRC:.c=.o)

QSTAT_ADD_OBJS = $(QSTAT_ADD_SRC:.c=.o)

QSTAT_ADD_LIBS = -lsched -levc -lgdi -lsgeobj -lsgeobjd -lcull -lcomm -lcommlists -luti $(WINGRIDLIB) $(SECLIB) $(KRBLIB) $(DLLIB)

QSTAT_LIB_DEPENDS = $(SCHEDLIB) $(EVCLIB) $(GDILIB) $(SGEOBJLIB) $(SGEOBJDLIB) \
                    $(KRBLIBS) $(CULLLIB) $(COMMLIB) $(COMMLISTSLIB) \
                    $(WINGRIDLIB_DEP) $(UTILIB) $(TPLIB)

###############################################################################
# global rules: all, clean, depend, messages
###############################################################################
qstat_clean:
	$(RM) $(QSTAT_TARGETS) $(QSTAT_OBJS) $(QSTAT_ADD_OBJS)

qstat_depend:
	$(DEPEND) -f$(QSTAT_DIR)/qstat_dependencies $(QSTAT_DIR)/*.c

qstat_messages:
	@echo Creating $@
	@for i in `ls $(QSTAT_DIR)/*.c`; do \
		$(CC) $(CFLAGS) -DEXTRACT_MESSAGES -E $$i | $(XGETTEXT) - ; \
	done


###############################################################################
# rules to build binaries
###############################################################################
qstat: $(QSTAT_OBJS) $(QSTAT_ADD_OBJS) $(QSTAT_LIB_DEPENDS) 
		$(LD_WRAPPER) $(CC) -o $@ $(LFLAGS) $(QSTAT_OBJS) $(QSTAT_ADD_OBJS) $(QSTAT_ADD_LIBS) $(SLIBS) $(LIBS)

###############################################################################
# include dependencies for object files generated by sge_depend
###############################################################################
include $(QSTAT_DIR)/qstat_dependencies

###############################################################################
# rules to build object codes
###############################################################################
qstat.o: 	$(QSTAT_DIR)/qstat.c
		$(CC) $(CFLAGS) -c $(QSTAT_DIR)/qstat.c
      
qstat_cmdline.o: 	$(QSTAT_DIR)/qstat_cmdline.c
		$(CC) $(CFLAGS) -c $(QSTAT_DIR)/qstat_cmdline.c

qstat_xml.o: 	$(QSTAT_DIR)/qstat_xml.c
		$(CC) $(CFLAGS) -c $(QSTAT_DIR)/qstat_xml.c

=== debian/changelog ===
gridengine (8.1.9+dfsg-7build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:49:37 +0000

gridengine (8.1.9+dfsg-7) unstable; urgency=low

  * Maintain under the Debian HPC team
  * Move VCS repository to salsa.debian.org.

 -- Afif Elghraoui <afif@debian.org>  Wed, 27 Dec 2017 01:58:20 -0500

gridengine (8.1.9+dfsg-6) unstable; urgency=medium

  * Fix FTBFS with openssl 1.1
    Thanks to Mark Hymers for the patches (Closes: #827076)
  * Bump Standards-Version to 4.1.1
  * Drop explicit build-dependency on autotools-dev

 -- Afif Elghraoui <afif@debian.org>  Sun, 19 Nov 2017 00:18:39 -0500

gridengine (8.1.9+dfsg-5) unstable; urgency=medium

  * Wrap qstatus and qsched commands (Closes: #870637)
  * Remove unused config files from /etc/gridengine (Closes: #554036)
  * d/rules: minor simplification
  * Set SGE_ARCH variable (Closes: #856671)

 -- Afif Elghraoui <afif@debian.org>  Fri, 11 Aug 2017 15:29:37 -0400

gridengine (8.1.9+dfsg-4) unstable; urgency=low

  * Patch upstream source to declare prerequisites for pdc (Closes: #846770)
  * Update to debhelper 10

 -- Afif Elghraoui <afif@debian.org>  Sat, 10 Dec 2016 13:19:53 -0800

gridengine (8.1.9+dfsg-3) unstable; urgency=low

  * Require libssl1.0
  * Add dependency on lsb-base for init-script-bearing binary packages

 -- Afif Elghraoui <afif@debian.org>  Wed, 23 Nov 2016 21:09:09 -0800

gridengine (8.1.9+dfsg-2) unstable; urgency=low

  * Backport upstream patch to remove deprecated BSD union wait
    (Closes: #833995)
  * Don't force -m32/-m64 for native compilation (Closes: #828877)
  * Set JAVA_HOME variable in d/rules (Closes: #828874)
  * Set proper Java paths for arm64, mips64el, sparc64, and alpha
  * Add support for x32 (Closes: #828884)
  * d/rules; miscellaneous cleanups
    - Override dh_fixperms-indep rather than applying a manual check
    - debian/rules: don't create unnecessary build-stamp

 -- Afif Elghraoui <afif@debian.org>  Sat, 10 Sep 2016 23:00:59 -0700

gridengine (8.1.9+dfsg-1) unstable; urgency=medium

  * Readability improvements:  d/watch, d/rules
  * Verify signatures on upstream release distributions
  * Bump compat version to 9
  * Don't exclude ldAix; document its copyright instead.
    Thanks to Dave Love for adding this in.
  * Bump copyright years
  * Imported Upstream version 8.1.9+dfsg
    - build with MUNGE (Thanks to Dave Love)
    - drop ppc64el patch - similar change was made upstream
    - refresh compiler flags patch
    - remove qidl from Files-Excluded (no longer distributed upstream)
  * Use the arch script to determine folder name rather than hardcode lx-*
  * Don't use aimk -debug
  * Fix db_* symlinks

 -- Afif Elghraoui <afif@debian.org>  Sat, 09 Jul 2016 21:02:36 -0700

gridengine (8.1.8+dfsg-7) unstable; urgency=medium

  * Move gridengine.default out of examples/
    Thanks to Carl Pupa for helping to debug (Closes: 826113)
  * Move API documentation to a new gridengine-dev package
  * Don't manage daemons in maintainer scripts - as advised by upstream

 -- Afif Elghraoui <afif@debian.org>  Sun, 26 Jun 2016 15:16:23 -0700

gridengine (8.1.8+dfsg-6) unstable; urgency=medium

  * Fix complete passage of compiler flags to build system
  * Add notes to ppc64le patch about upstream application
  * Bump Standards-Version to 3.9.8
  * Don't hardcode path of ucf for testing existence in maintainer script
  * Use invoke-rc.d to manage daemons in maintainer scripts
    (Closes: #820874)
  * Use C-UTF-8 locale globally

 -- Afif Elghraoui <afif@debian.org>  Mon, 23 May 2016 21:24:00 -0700

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: gridengine
 Section: utils
 Priority: optional
-Maintainer: Debian Grid Engine Maintainers <pkg-gridengine-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Dave Love <d.love@liverpool.ac.uk>,
 	   Afif Elghraoui <afif@debian.org>,
            Laszlo Kajan <lkajan@debian.org>,
            Mark Hymers <mhy@debian.org>,
            Michael Banck <mbanck@debian.org>
 Build-Depends:
-	debhelper (>= 9),
-	dh-autoreconf,
-	autotools-dev,
+	debhelper (>= 10),
 	tcsh | c-shell,
 	libdb-dev,
 	libssl-dev,
@@ -29,10 +28,11 @@
 	libhwloc-dev,
 	libjemalloc-dev,
 	libxft-dev,
-Standards-Version: 3.9.7
+	libmunge-dev,
+Standards-Version: 4.1.1
 Homepage: https://arc.liv.ac.uk/trac/SGE/
-Vcs-Git: https://anonscm.debian.org/git/pkg-gridengine/pkg-gridengine.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gridengine/pkg-gridengine.git
+Vcs-Git: https://salsa.debian.org/hpc-team/gridengine
+Vcs-Browser: https://salsa.debian.org/hpc-team/gridengine
 
 Package: gridengine-common
 Architecture: all
@@ -145,6 +145,7 @@
 	${misc:Depends},
 	gridengine-client (= ${binary:Version}),
 	procps,
+	lsb-base,
 Recommends: db-util
 Description: Distributed resource management - Master Server
  Grid Engine is software that facilitates "distributed resource
@@ -176,6 +177,7 @@
 	gridengine-client (= ${binary:Version}),
 	tcsh | c-shell,
 	procps,
+	lsb-base,
 Suggests: openssh-server
 Description: Distributed resource management - Execution Server
  Grid Engine is software that facilitates "distributed resource
@@ -196,6 +198,39 @@
    * Integration & control of parallel jobs
  .
  This package contains the Grid Engine execution server.
+
+Package: gridengine-dev
+Section: libdevel
+Architecture: all
+Depends:
+	${misc:Depends},
+# For jgdi and juti libs
+	gridengine-client,
+# For jsv lib
+	gridengine-common,
+Suggests: gridengine-drmaa-dev
+Breaks: gridengine-common (<= 8.1.8+dfsg-6)
+Replaces: gridengine-common (<= 8.1.8+dfsg-6)
+Description: Distributed resource management - development files
+ Grid Engine is software that facilitates "distributed resource
+ management" (DRM).  Far more than just simple load-balancing tools or
+ batch scheduling mechanisms, DRM software typically provides the
+ following key features across large sets of distributed resources:
+ .
+   * Policy based allocation of distributed resources (CPU time,
+     software licenses, etc.)
+   * Batch queuing & scheduling
+   * Support diverse server hardware, OS and architectures
+   * Load balancing & remote job execution
+   * Detailed job accounting statistics
+   * Fine-grained user specifiable resources
+   * Suspend/resume/migrate jobs
+   * Tools for reporting Job/Host/Cluster status
+   * Job Arrays
+   * Integration & control of parallel jobs
+ .
+ This package contains development files for interacting with
+ the Grid Engine database and job submission verifier.
 
 Package: gridengine-drmaa1.0
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export LC_ALL=C.UTF-8

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
NOOPT = -no-opt
endif
# Pick up `-j' from xxx-buildpackage:
ifneq (,$(DEB_BUILD_OPTIONS))
PARALLEL = -parallel $(shell echo $(DEB_BUILD_OPTIONS) | sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
endif
ifneq (,$(DEB_PARALLEL_JOBS))
PARALLEL = -parallel $(DEB_PARALLEL_JOBS)
endif

PRECMD=$(CURDIR)/debian/linux32-wrapper

export DEB_BUILD_HARDENING=1
# for qmon, sigh
export DEB_BUILD_HARDENING_FORMAT=0

include /usr/share/dpkg/default.mk

export SGE_INPUT_CFLAGS = $(CPPFLAGS) $(CFLAGS)
export SGE_INPUT_LDFLAGS = $(LDFLAGS)

export LD_RUN_PATH=/usr/lib/gridengine
SGE_ARCH = $(shell source/dist/util/arch)

export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@

override_dh_auto_build:
	cd source \
	&& ${PRECMD} sh scripts/bootstrap.sh \
	&& ${PRECMD} ./aimk \
	-with-jemalloc \
	-DDEFAULT_EDITOR='\"sensible-editor\"' \
	-no-remote \
	-DSGE_LD_PATH='\"/usr/lib/gridengine/\"' \
	-DDEFAULT_EDITOR='\"sensible-editor\"' \
	-with-munge \
	$(NOOPT) $(PARALLEL) \
	&& ${PRECMD} ./aimk -man \
	&& ${PRECMD} ant drmaa.javadoc juti.javadoc jgdi.javadoc jjsv.javadoc

override_dh_clean:
# If just copying Debian debian over SGE distribution tarball
	cd debian && rm -rf sge.* sge-* README
	dh_clean

override_dh_auto_clean:
# aimk clean doesn't DTRT
	cd source && rm -rf CLASSES JAVADOCS MANSBUILD_* dist/qmon/Qmon
	find source -type d -name "LINUX*" -print0 | xargs --null rm -rf
	find source -type d -name "build" -print0 | xargs --null rm -rf
	find source -name "*_dependencies" -print0 | xargs --null rm -f
	for t in common exec master client qmon; do \
	  cp debian/gridengine.templates debian/gridengine-$$t.templates; done
	debconf-updatepo
	rm -f debian/qmon.desktop

override_dh_auto_install:
	install -d debian/tmp/usr
	install -d debian/tmp/usr/share
	install -d debian/tmp/lib/$(DEB_HOST_GNU_TYPE)/security
	cd source && /usr/bin/yes | ${PRECMD} scripts/distinst \
	-basedir ${CURDIR}/debian \
	-vdir tmp/usr \
	-allall \
	-noexit
	cd debian/tmp/usr \
	&& mv man share \
	&& $(RM) -r hadoop dtrace ckpt util/sgeSMF start_gui_installer \
	&& $(RM) util/resources/loadsensors/interix-loadsensor.sh \
	&& $(RM) doc/arc_depend* doc/javadocs/index.html \
	&& $(RM) -r util/gui-installer \
	&& mv util/resources/drmaa4ruby .
# qmake clashes with qt
	cd debian/tmp/usr/bin/$(SGE_ARCH) && mv qmake qmake_sge
# Rename some of the spool utils so we can replace them with wrapper scripts
# which set LD_LIBRARY_PATH for the spool libraries
	cd debian/tmp/usr/utilbin/$(SGE_ARCH) \
	&& mv spooledit spooledit.bin \
	&& mv spooldefaults spooldefaults.bin \
	&& install -m 755 $(CURDIR)/debian/spool.wrapper spooledit \
	&& install -m 755 $(CURDIR)/debian/spool.wrapper spooldefaults \
# Make manpage names sane
	cd debian/tmp/usr/share/man && \
	for k in hostnameutils submit; do \
	  mv man1/$$k.1 man1/sge_$$k.1; done && \
	mv man1/qmake.1 man1/qmake_sge.1 && \
	for k in access_list accounting bootstrap calendar_conf checkpoint \
	    complex host_aliases host_conf hostgroup project qtask queue_conf \
	    reporting sched_conf share_tree user; do \
	  mv man5/$$k.5 man5/sge_$$k.5;	done
# Remove manpage symlinks in favour of mandb
	find debian/tmp/usr/share/man -type l | xargs rm -f
	mandb -u -c debian/tmp/usr/share/man
	chmod 755 debian/scripts/init_cluster debian/gridengine-wrapper
	cp source/clients/qmon/qmon.desktop debian
	mv debian/tmp/usr/lib/*/pam_sge* debian/tmp/lib/$(DEB_HOST_GNU_TYPE)/security

override_dh_installinit:
	dh_installinit -p gridengine-master
# Start the execd after the master
	dh_installinit -p gridengine-exec -- defaults 21

override_dh_fixperms-indep:
	dh_fixperms
# not sure why this gets made executable, causing lintian whinges
	chmod -x \
	debian/gridengine-common/usr/share/gridengine/util/dl.sh \
	debian/gridengine-common/usr/share/gridengine/util/resources/scripts/README*

override_dh_installchangelogs:
	dh_installchangelogs --keep NEWS
